<?php
include 'conexion.php';

$semestreSeleccionado = $_POST['semestre'];
$seccionSeleccionada = $_POST['seccion'];

$horas = [
    "07:00", "07:50", "08:40", "09:30", "10:20", "11:10",
    "12:00", "12:50", "13:40", "14:30", "15:20", "16:10",
    "17:00", "17:50", "18:40", "19:30", "20:20", "21:10"
];

foreach ($horas as $index => $hora) {
    $hora_fin = isset($horas[$index + 1]) ? $horas[$index + 1] : "22:00";
    echo "<tr>";
    echo "<td>$hora</td>";
    echo "<td>$hora_fin</td>";

    $dias = ["Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado", "Domingo"];

    foreach ($dias as $dia) {
        $sql = "SELECT c.id, c.nombre, c.tipo, c.semestre, c.seccion FROM horarios h
                JOIN cursos c ON h.curso_id = c.id
                WHERE c.dia='$dia' 
                AND (c.hora_inicio <= '$hora' AND c.hora_fin > '$hora')";
        
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            $curso = $result->fetch_assoc();
            
            // Asignar clase de color según el tipo de curso
            $claseTipo = ($curso['tipo'] == 'Teoría') ? 'teoria' : 'practica';
            
            echo "<td class='$claseTipo p-2' id='{$dia}-{$hora}'>
                    <b>{$curso['nombre']}</b><br>
                    <small>{$curso['semestre']} | {$curso['seccion']} | {$curso['tipo']}</small>
                    <button class='btn btn-danger btn-sm float-right eliminarCurso' data-id='{$curso['id']}'>❌</button>
                  </td>";
        } else {
            echo "<td id='{$dia}-{$hora}'></td>";
        }
    }
    echo "</tr>";
}
?>
